﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="HTMLConvExample._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link rel="stylesheet" type="text/css" href="../App_Themes/Main/styles.css">
    <title>HTML Converter usage example</title>
</head>
<body>
    <form id="form1" runat="server">
    <table width="800" align="center">
        <tr>
            <td class="frame">
                <div>
                    <div class="header">
                        &nbsp;1. Select file
                    </div>
                    <br />
                    File name:&nbsp;<asp:FileUpload ID="FileUpload1" runat="server" Width="700px" />
                    &nbsp;<!-- <asp:RegularExpressionValidator ID="FileUpLoadValidator" runat="server" ErrorMessage="Upload HTML documents only."
            ValidationExpression="^(([a-zA-Z]:)|(\\{2}\w+)\$?)(\\(\w[\w].*))(.jpg|.JPG|.gif|.GIF)$"
            ControlToValidate="FileUpload1">
        </asp:RegularExpressionValidator> --></div>
                <p>
                    <asp:Label ID="Label1" runat="server"></asp:Label>
                </p>
                <div class="header">
                    &nbsp;2. Set convert options
                </div>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="Label2" runat="server" Text="Convert to" CssClass="caption"></asp:Label>
                            <asp:RadioButtonList ID="rblConvert" runat="server" RepeatColumns="2" Width="258px"
                                BackColor="#FFFFCC" BorderColor="#6699FF" BorderStyle="Solid" BorderWidth="1px">
                                <asp:ListItem>doc</asp:ListItem>
                                <asp:ListItem>rtf</asp:ListItem>
                                <asp:ListItem>xls</asp:ListItem>
                                <asp:ListItem Selected="True">pdf</asp:ListItem>
                                <asp:ListItem>jpg</asp:ListItem>
                                <asp:ListItem>tiff</asp:ListItem>
                                <asp:ListItem>txt</asp:ListItem>
                                <asp:ListItem Value="txtw">txtw (Unicode TXT)</asp:ListItem>
                                <asp:ListItem>emf</asp:ListItem>
                            </asp:RadioButtonList>
                        </td>
                        <td width="32">
                            &nbsp;
                        </td>
                        <td valign="top">
                            <asp:Label ID="Label3" runat="server" Text="Render" CssClass="caption"></asp:Label>
                            <asp:CheckBoxList ID="cblRender" runat="server" BackColor="#FFFFCC" BorderColor="#6666FF"
                                BorderStyle="Solid" BorderWidth="1px">
                                <asp:ListItem Value="text" Selected="True">Text</asp:ListItem>
                                <asp:ListItem Value="shapes" Selected="True">Shapes&nbsp;</asp:ListItem>
                                <asp:ListItem Value="images" Selected="True">Images&nbsp;</asp:ListItem>
                            </asp:CheckBoxList>
                        </td>
                        <td width="32">
                            &nbsp;
                        </td>
                        <td valign="top">
                            <asp:Label ID="Label4" runat="server" Text="Other" CssClass="caption"></asp:Label>
                            <table>
                                <tr>
                                    <td class="group">
                                        <asp:CheckBox ID="cbFitToPage" runat="server" Text="Fit to Page (-FP)" Checked="True" />
                                        <br />
                                        <asp:CheckBox ID="cbSingleImage" runat="server" Text="Convert into single image (-si)" />
                                        <br /><hr />
                                        <table>
                                            <tr>
                                                <td valign="middle">
                                                    <asp:Label ID="Label5" runat="server" Text="Additional:"></asp:Label>
                                                </td>
                                                <td valign="middle">
                                                    <asp:TextBox ID="edAdditional" runat="server"></asp:TextBox>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <p>
                </p>
                <asp:Button ID="bnConvert" runat="server" OnClick="bnConvert_Click" Text="Upload &amp; Convert" />
            </td>
        </tr>
    </table>
    </form>
</body>
</html>
